Subject: unofficial culture exchange

From: "Ralph D. Arnold" <[email-masked]>
Date: Wed, 16 Nov 94 08:32:31 PDT

Perhaps there are individuals (like myself) and universities that might have
some cultures which they would be willing to exchange or provide to others
for much less than the standard $40-$60 most collections request.  Is it
possible you might let me know what you have and what you'd like to obtain?
Thanks!

Ralph D. Arnold [email-masked] | "ON-LINE ACCESS" gopherspace offers
P.O. Box 889, Oregon City, OR 97045  | "FUNGI-BY-EMAIL"=growing mushrooms 
gopher://gopher.teleport.com/11/users/rarnold |will email files if needed
anonymous ftp by ftp.teleport.com in directory users\rarnold\mushroom